package brn.gui.reports;

import org.eclipse.birt.report.designer.ui.editors.MultiPageReportEditor;
import org.eclipse.ui.IEditorInput;
import org.eclipse.ui.IEditorSite;
import org.eclipse.ui.PartInitException;

public class PreviewEditor extends MultiPageReportEditor {
  
  public static String ID = "brn.gui.reports.PreviewEditor";

  /*
   * (non-Javadoc)
   * 
   * @see
   * org.eclipse.ui.forms.editor.FormEditor#init(org.eclipse.ui.IEditorSite,
   * org.eclipse.ui.IEditorInput)
   */
  public void init( IEditorSite site, IEditorInput input )
      throws PartInitException
  {
    super.init( site, input );
    
  }
  
  protected void initializePageSwitching() {
    super.initializePageSwitching();

    this.activateSite();
  }
}
